### Enumeration

# Gtk CellRendererState

since: 4.0

#### Declaration

    flags Gtk.CellRendererState

#### Description [src]

Tells how a cell is to be rendered.

Available since: 4.0

#### Members

`GTK_CELL_RENDERER_SELECTED`

  The cell is currently selected, and probably has a selection colored background to render to.

  - Value: `1`
  - Nickname: `selected`
  - Available since: 4.0
`GTK_CELL_RENDERER_PRELIT`

  The mouse is hovering over the cell.

  - Value: `2`
  - Nickname: `prelit`
  - Available since: 4.0
`GTK_CELL_RENDERER_INSENSITIVE`

  The cell is drawn in an insensitive manner.

  - Value: `4`
  - Nickname: `insensitive`
  - Available since: 4.0
`GTK_CELL_RENDERER_SORTED`

  The cell is in a sorted row.

  - Value: `8`
  - Nickname: `sorted`
  - Available since: 4.0
`GTK_CELL_RENDERER_FOCUSED`

  The cell is in the focus row.

  - Value: `16`
  - Nickname: `focused`
  - Available since: 4.0
`GTK_CELL_RENDERER_EXPANDABLE`

  The cell is in a row that can be expanded.

  - Value: `32`
  - Nickname: `expandable`
  - Available since: 4.0
`GTK_CELL_RENDERER_EXPANDED`

  The cell is in a row that is expanded.

  - Value: `64`
  - Nickname: `expanded`
  - Available since: 4.0